Index: extensions/UserAdvManager/trunk/language/en_UK/help.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/en_UK/help.lang.php	(revision 12666)
+++ extensions/UserAdvManager/trunk/language/en_UK/help.lang.php	(revision 12689)
@@ -22,6 +22,6 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.14.0
-$lang['UAM_adminconfmailTitle_d'] = 'You can disable this validation only for user accounts created by the administrator via Piwigo\'s users management interface.<br><br>
-By activating this option, email validation for registration will be sent to each user created by admin.<br><br>
+$lang['UAM_adminconfmailTitle_d'] = 'You can disable this confirmation only for user accounts created by the administrator via Piwigo\'s users management interface.<br><br>
+By activating this option, email confirmation for registration will be sent to each user created by admin.<br><br>
 By disabling this option (default), only the email information is sent (if &quot;Information email to user&quot; is enabled).';
 // --------- End: New or revised $lang ---- from version 2.14.0
@@ -49,11 +49,11 @@
 A user will appear in green if he visited the gallery for less than 50 days, in orange if his last visit took place between 50 and 99 days and red for 100 days and above.
 <br><br>
-<b>NOTE</b>: The list does not display who have not validated their registration (if the option of validating the registration is activated). These users are then managed in a special way in the &quot;Tracking validations&quot; tab.
+<b>NOTE</b>: The list does not display who have not validated their registration (if the option of validating the registration is activated). These users are then managed in a special way in the &quot;Tracking confirmations&quot; tab.
 <br><br>
 <b>Table Sorting Function</b>: You can sort the data displayed by clicking on the column headers. Hold the SHIFT key to sort up to 4 simultaneous columns.';
-$lang['UAM_usermanTitle_d'] = 'When limiting the deadline for registration is enabled, you will find below the list of users whose validation registration is expected, <b style=&quot;text-decoration: underline;&quot;>whether or not</b> they are in time to validate.<br><br>
-The registration date is displayed in green when the user concerned is below the time limit to validate his registration. In this case, the validation key is still valid and we can send an email with or without a new validation key.<br><br>
-When the registration date appears in red, the validation period has expired. In this case, you must send an email with regeneration of validation key if you want to enable the user to validate their registration.<br><br>
-In all cases, it is possible to manually force the validation.<br><br>
+$lang['UAM_usermanTitle_d'] = 'When limiting the deadline for registration is enabled, you will find below the list of users whose confirmation of registration is expected, <b style=&quot;text-decoration: underline;&quot;>whether or not</b> they are in time to validate.<br><br>
+The registration date is displayed in green when the user concerned is below the time limit to validate his registration. In this case, the confirmation key is still valid and we can send an email with or without a new confirmation key.<br><br>
+When the registration date appears in red, the confirmation period has expired. In this case, you must send an email with regeneration of confirmation key if you want to enable the user to validate their registration.<br><br>
+In all cases, it is possible to manually force the confirmation.<br><br>
 In this view, you can:
 <br><br>
@@ -62,7 +62,7 @@
 - Generate email reminder <b>without</b> generating a new key. Warning: Send an email reminder to targeted visitors. This function does not reset the date of registration of targeted visitors and the timeout is still valid.
 <br>
-- Generate email reminder <b>with</b> generating a new key. Warning : Send an email reminder to targeted visitors. This function also resets the date of registration of targeted visitors which equates to extend the deadline for validation.
-<br>
-- Submit a registration awaiting validation manually even if the expiry date has passed <b>(forcing validation)</b>.
+- Generate email reminder <b>with</b> generating a new key. Warning : Send an email reminder to targeted visitors. This function also resets the date of registration of targeted visitors which equates to extend the deadline for confirmation.
+<br>
+- Submit a registration awaiting confirmation manually even if the expiry date has passed <b>(forcing confirmation)</b>.
 <br><br>
 <b>Table Sorting Function</b>: You can sort the data displayed by clicking on the column headers. Hold the SHIFT key to sort up to 4 simultaneous columns.';
@@ -75,10 +75,8 @@
 <b>Table Sorting Function</b>: You can sort the data displayed by clicking on the column headers. Hold the SHIFT key to sort up to 4 simultaneous columns.';
 $lang['UAM_confirmmailTitle_d'] = 'This option allows a user to either confirm registration by clicking on a link received in an email sent upon registration or the administrator to manually activate the registration.<br><br>
-In first case, the e-mail is composed of a customizable part to introduce a little welcome note and a fixed part containing the activation link that is generated from a random key that can possibly regenerate through the &quot;Tracking validations&quot; tab.<br><br>
-Dans le premier cas, le message envoyé comprend une partie fixe, avec le lien d\'activation généré à partir d\'une clef aléatoire (cette clé peut éventuellement être régénérée via l\'onglet &quot;Suivi des validations&quot;), et une partie personnalisable par un texte d\'accueil.
-<br><br>
-In second case, <b><u>there is no validation key send by email!</u></b>. Visitors have to wait until an administrator validate them himself in &quot;Validation tracking&quot; tab. It\s recommanded to activate the Piwigo\'s option &quot;Email admins when a new user registers&quot; (see in Piwigo\'s configuration options) and to use the &quot;Information email to user&quot; to warn new registers to wait on their account activation.
-<br>
-<b style=&quot;color: red;&quot;>NB: Options &quot;Deadline for registration validation limited&quot; and &quot;Remind unvalidated users  &quot; have to be set to off when admin\'s manual validation is enabled.</b>
+In first case, the e-mail is composed of a customizable part to introduce a little welcome note and a fixed part containing the activation link that is generated from a random key that can possibly regenerate through the &quot;Tracking confirmations&quot; tab.<br><br>
+In second case, <b><u>there is no confirmation key send by email!</u></b>. Visitors have to wait until an administrator validate them himself in &quot;confirmation tracking&quot; tab. It\s recommanded to activate the Piwigo\'s option &quot;Email admins when a new user registers&quot; (see in Piwigo\'s configuration options) and to use the &quot;Information email to user&quot; to warn new registers to wait on their account activation.
+<br>
+<b style=&quot;color: red;&quot;>NB: Options &quot;Deadline for confirmation of registration limited&quot; and &quot;Remind unvalidated users  &quot; have to be set to off when admin\'s manual confirmation is enabled.</b>
 <br><br>
 This option is generally used with the automatic assignment of group and/or statutes. For example, a user who has not validated their registration will be set in a specific group of users (with or without restrictions on the gallery) while a user who validated his registration shall be set in a &quot;normal&quot; group.';
@@ -97,8 +95,4 @@
 - Automated management : When the period between 2 successive visits is reached, the visitor is automatically deleted or moved into a wait group and/or status. In this second case, an information email can be sent to him.<br><br>
 <b style=&quot;color: red;&quot;>Important note : If you enable this feature for the first time or you have reactivated after a long period off during which new visitors are registered, you must initialize or reset the Ghost Tracker (see corresponding instructions on &quot;Ghost Tracker&quot; tab).</b>';
-$lang['UAM_mailexcTitle_d'] = 'By default, Piwigo accepts all email addresses in the format xxx@yyy.zz. Enabling this option allows you to exclude certain domains in the format: @ [domain_name].[domain_extension].<br><br>
-Examples :<br>
-@hotmail.com -> excluding addresses *@hotmail.com<br>
-@hotmail -> excluding all addresses *@hotmail*';
 $lang['UAM_GTAutoTitle_d'] = 'This option allows to apply rules for automated management of ghosts users.
 <br><br>Basic Principle: A user who reaches the maximum time between visits <b><u>and</u></b> has already been notified by email is considered as expired. Then you can apply automated processing rules such as automatic deletion of expired accounts or demotion by restricting access to the gallery (switch automatically to a restricted group and/or status).
@@ -109,5 +103,5 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.20.0
-$lang['UAM_validationlimitTitle_d'] = 'This option allows to limit the validity of key validation email sent to new registrants. Visitors who register will have x days of time to validate their registration. After this period the validation link will expire.
+$lang['UAM_validationlimitTitle_d'] = 'This option allows to limit the validity of confirmation key email sent to new registrants. Visitors who register will have x days of time to validate their registration. After this period the confirmation link will expire.
 <br><br>
 This option is used in conjunction with the &quot;Confirmation of registration&quot;
@@ -116,14 +110,14 @@
 $lang['UAM_remailTitle_d'] = 'This option allows you to send a reminder email to users registered but have not validated their registration on time. It therefore works in conjunction with the &quot;Confirmation of registration&quot;
 <br><br>
-2 types of emails can be sent: With or without regeneration of the validation key. As appropriate, the content of emails can be customized.
-<br><br>
-Refer to the &quot;Tracking validations&quot; tab.
-<br><br>
-If this option and the option &quot;Deadline for registration validation limited&quot; are activated, new options will appear below in this section to enable the automation of unvalidated users management.';
+2 types of emails can be sent: With or without regeneration of the confirmation key. As appropriate, the content of emails can be customized.
+<br><br>
+Refer to the &quot;Tracking confirmations&quot; tab.
+<br><br>
+If this option and the option &quot;Deadline for registration confirmation limited&quot; are activated, new options will appear below in this section to enable the automation of unvalidated users management.';
 $lang['UAM_USRAutoTitle_d'] = 'Automatic handling of unvalidated visitors is triggered each time you connect to the gallery and works as follows:
 <br><br>
-- Automatic deletion of accounts not validated in the allotted time without sending automatic email reminder -> &quot;Deadline for registration validation limited&quot; <b><u>enabled</u></b> and &quot;Remind unvalidated users&quot; <b><u>disabled</u></b>.
-<br><br>
-- Automatically sending a reminder message with a new generation of validation key and automatic deletion of accounts not validated in the time after sending the reminder -> &quot;Deadline for registration validation limited&quot; <b><u>enabled</u></b> et &quot;Remind unvalidated users&quot; <b><u>enabled</u></b>.';
+- Automatic deletion of accounts not validated in the allotted time without sending automatic email reminder -> &quot;Deadline for registration confirmation limited&quot; <b><u>enabled</u></b> and &quot;Remind unvalidated users&quot; <b><u>disabled</u></b>.
+<br><br>
+- Automatically sending a reminder message with a new generation of confirmation key and automatic deletion of accounts not validated in the time after sending the reminder -> &quot;Deadline for registration confirmation limited&quot; <b><u>enabled</u></b> et &quot;Remind unvalidated users&quot; <b><u>enabled</u></b>.';
 $lang['UAM_USRAutoMailTitle_d'] = 'When activated, this function will automatically send personalized content in &quot;Reminder email with new key generated&quot; to visitors who match criteria.';
 $lang['UAM_StuffsTitle_d'] = 'This enables an additional UAM block in PWG Stuffs plugin (if installed) to inform your visitors who did not validate their registration about their condition.
@@ -154,19 +148,19 @@
 - <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.<br>
 - <b style=&quot;color: red;&quot;>[myurl]</b> to insert your gallery URL if set in Piwigo\'s configuration options.<br>
-- <b style=&quot;color: red;&quot;>[Kdays]</b> to insert the number of days limit to validate a registration (&quot;Deadline for registration validation limited;&quot; have to be enabled).
-<br><br>
-To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
-$lang['UAM_remailtxt1Title_d'] = 'Enter the introductory text that you want to appear in the reminder email, in addition to the validation key regenerated.
-<br><br>
-If left blank, the mail reminder will include only the validation link. It is therefore strongly advised to take a little explanatory text. (NB: The text pre-filled with the installation of the plugin is provided as an example).
-<br><br>
-Further customize the content with special inserted tags:<br>
-- <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email.<br>
-- <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.<br>
-- <b style=&quot;color: red;&quot;>[myurl]</b> to insert your gallery URL if set in Piwigo\'s configuration options.<br>
-- <b style=&quot;color: red;&quot;>[Kdays]</b> to insert the number of days limit to validate a registration (&quot;Deadline for registration validation limited;&quot; have to be enabled).
-<br><br>
-To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
-$lang['UAM_remailtxt2Title_d'] = 'Enter the introductory text that you want to appear in the reminder email without a validation key regenerated.
+- <b style=&quot;color: red;&quot;>[Kdays]</b> to insert the number of days limit to validate a registration (&quot;Deadline for registration confirmation limited;&quot; have to be enabled).
+<br><br>
+To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
+$lang['UAM_remailtxt1Title_d'] = 'Enter the introductory text that you want to appear in the reminder email, in addition to the confirmation key regenerated.
+<br><br>
+If left blank, the mail reminder will include only the confirmation link. It is therefore strongly advised to take a little explanatory text. (NB: The text pre-filled with the installation of the plugin is provided as an example).
+<br><br>
+Further customize the content with special inserted tags:<br>
+- <b style=&quot;color: red;&quot;>[username]</b> to automatically insert the name of the destination user of the email.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> to insert your gallery URL if set in Piwigo\'s configuration options.<br>
+- <b style=&quot;color: red;&quot;>[Kdays]</b> to insert the number of days limit to validate a registration (&quot;Deadline for registration confirmation limited;&quot; have to be enabled).
+<br><br>
+To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
+$lang['UAM_remailtxt2Title_d'] = 'Enter the introductory text that you want to appear in the reminder email without a confirmation key regenerated.
 <br><br>
 If left blank, the mail reminder will be empty. It is therefore strongly advised to take a little explanatory text. (NB: The text pre-filled with the installation of the plugin is provided as an example).
@@ -176,5 +170,5 @@
 - <b style=&quot;color: red;&quot;>[mygallery]</b> to insert the title of your gallery.<br>
 - <b style=&quot;color: red;&quot;>[myurl]</b> to insert your gallery URL if set in Piwigo\'s configuration options.<br>
-- <b style=&quot;color: red;&quot;>[Kdays]</b> to insert the number of days limit to validate a registration (&quot;Deadline for registration validation limited; have to be enabled).
+- <b style=&quot;color: red;&quot;>[Kdays]</b> to insert the number of days limit to validate a registration (&quot;Deadline for registration confirmation limited; have to be enabled).
 <br><br>
 To use multiple languages, you can use the Extended description plugin\'s tags if it is active.';
@@ -246,7 +240,7 @@
 $lang['UAM_confirmTitle_d'] = '
 - Information email generation<br>
-- Register validation email generation<br>
+- Register confirmation email generation<br>
 - Groups, status or privacy level auto joining<br>
-- Deadline for registration validation<br>
+- Deadline for confirmation of registration<br>
 - Reminder email generation<br>
 ...
@@ -254,17 +248,17 @@
 $lang['UAM_confirmgrpTitle'] = 'Groups';
 $lang['UAM_confirmstatTitle'] = 'Statutes';
-$lang['UAM_confirmgrpTitle_d'] = '<b style=&quot;color: red;&quot;>WARNING : Using groups on validation requires that you have created at least one users group and is defined &quot;by default&quot; in Piwigo\'s user groups management.</b><br><br>
+$lang['UAM_confirmgrpTitle_d'] = '<b style=&quot;color: red;&quot;>WARNING : Using groups on confirmation requires that you have created at least one users group and is defined &quot;by default&quot; in Piwigo\'s user groups management.</b><br><br>
 The groups are validated for use in conjunction with the &quot;Confirmation of registration&quot;';
-$lang['UAM_confirmstatTitle_d'] = '<b style=&quot;color: red;&quot;>WARNING : The use of statuses on validation requires that you have kept the &quot;Guest&quot; user with default setting (as user template) for new registered. Note you can set any other user as a template for new registered. Please refer to the Piwigo\'s documentation for more details.</b><br><br>
+$lang['UAM_confirmstatTitle_d'] = '<b style=&quot;color: red;&quot;>WARNING : The use of statuses on confirmation requires that you have kept the &quot;Guest&quot; user with default setting (as user template) for new registered. Note you can set any other user as a template for new registered. Please refer to the Piwigo\'s documentation for more details.</b><br><br>
 The Statutes are validated for use in conjunction with the &quot;Confirmation of registration&quot;';
 $lang['UAM_confirmlevelTitle'] = 'Privacy level';
 $lang['UAM_confirmlevelTitle_d'] = '<b style=&quot;color: red;&quot;>WARNING : The use of privacy level requires that you have used them with your pictures. Please refer to the Piwigo\'s documentation for more details.</b><br><br>
 The privacy level is validated for use in conjunction with the &quot;Confirmation of registration&quot;';
-$lang['UAM_GTAutoGpTitle_d'] = 'The automatic change of group, status or privacy level is like a demotion of the accounts involved and working on the same principle as the group, status or privacy level of validation (see &quot;Setting confirmations and validations of registration&quot;). Therefore be to define a group, status and / or level demoting access to the gallery. If this has already been defined with the use of registration confirmation function, you can use the same group / status / level.<br><br>
+$lang['UAM_GTAutoGpTitle_d'] = 'The automatic change of group, status or privacy level is like a demotion of the accounts involved and working on the same principle as the group, status or privacy level of confirmation (see &quot;Setting confirmations of registration&quot;). Therefore be to define a group, status and / or level demoting access to the gallery. If this has already been defined with the use of registration confirmation function, you can use the same group / status / level.<br><br>
 <b style=&quot;color: red;&quot;>Important note :</b> If a ghost user still has not heard from after the time limit and despite the automatic notification by email (if enabled), he\'s automatically deleted from the database.';
 $lang['UAM_GTAutoMailTitle_d'] = 'When an account is expired (group / status / privacy level change demoting the visitor), an email information can be sent to clarify the reasons for this change and the means to recover the initial access to the gallery.
-<br>To do this, a link to revalidation of registration is attached to the email (automatic generation of a new validation key).<b style=&quot;color: red;&quot;>If the user has already been notified, his account is automatically destroyed.</b> 
-<br><br>
-Enter the custom text that also explain the reasons for the demotion, to accompany the validation link. The custom text is not mandatory but strongly recommended. In fact, your visitors will not appreciate receiving an email containing only a single link without further explanation. ;-)
+<br>To do this, a link to reconfirmation of registration is attached to the email (automatic generation of a new confirmation key).<b style=&quot;color: red;&quot;>If the user has already been notified, his account is automatically destroyed.</b> 
+<br><br>
+Enter the custom text that also explain the reasons for the demotion, to accompany the confirmation link. The custom text is not mandatory but strongly recommended. In fact, your visitors will not appreciate receiving an email containing only a single link without further explanation. ;-)
 <br><br>
 Further customize the content with special inserted tags:<br>
@@ -306,8 +300,17 @@
 // --------- Starting below: New or revised $lang ---- from version 2.30.2
 $lang['UAM_RejectConnexion_d'] = 'If activated, new registered users who have not validate their registration won\'t be able to connect to the gallery. They will be redirected to a special page to inform them of this state.<br><br>
-<b style=&quot;color: red;&quot;>Warning - This feature works only in conjunction with validation groups! See below to set the groups as required.</b>';
+<b style=&quot;color: red;&quot;>Warning - This feature works only in conjunction with confirmation groups! See below to set the groups as required.</b>';
 $lang['UAM_RejectConnexion_Custom_Txt_d'] = 'Customize here your explanation text for inform unvalidated users that they won\'t be able to connect the gallery until they have validate their registration.
 <br><br>
 This field is compatible with the FCK Editor and, for multi-languages, you can use the [lang] tags of the Extended description plugin if it\'s active.';
 // --------- End: New or revised $lang ---- from version 2.30.2
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.30.3
+$lang['UAM_mailexcTitle_d'] = 'By default, Piwigo accepts all email addresses in the format xxx@yyy.zz. Enabling this option allows you to exclude certain domains in the format: @ [domain_name].[domain_extension].<br><br>
+Examples :<br>
+@hotmail.com -> excluding addresses *@hotmail.com<br>
+@hotmail -> excluding all addresses *@hotmail*<br><br>
+<b style=&quot;color: red;&quot;>Warning - This feature works only if emails are mandatory for registrations! Please see Piwigo\'s configuration options.</b>';
+// --------- End: New or revised $lang ---- from version 2.30.3
 ?>
Index: extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 12666)
+++ extensions/UserAdvManager/trunk/language/en_UK/plugin.lang.php	(revision 12689)
@@ -31,8 +31,8 @@
 $lang['UAM_empty_pwd'] = '[empty password]';
 $lang['UAM_no_update_pwd'] = '[profile updated without password changed]';
-$lang['UAM_No_validation_for_Guest'] = 'The "Guest" account is not subject to validation';
-$lang['UAM_No_validation_for_default_user'] = 'The default account is not subject to validation';
-$lang['UAM_No_validation_for_Webmaster'] = 'The "Webmaster" account is not subject to validation';
-$lang['UAM_No_validation_for_your_account'] = 'Your personnal admin account is not subject to validation';
+$lang['UAM_No_validation_for_Guest'] = 'The "Guest" account is not subject to confirmation';
+$lang['UAM_No_validation_for_default_user'] = 'The default account is not subject to confirmation';
+$lang['UAM_No_validation_for_Webmaster'] = 'The "Webmaster" account is not subject to confirmation';
+$lang['UAM_No_validation_for_your_account'] = 'Your personnal admin account is not subject to confirmation';
 
 
@@ -125,9 +125,9 @@
 $lang['UAM_No_Confirm_Status'] = 'Status for users who have not validated their registration<br>';
 $lang['UAM_Validated_Status'] = 'Status for users who have validated their registration<br>';
-$lang['UAM_ValidationLimit_Info'] = 'Deadline for registration validation limited';
+$lang['UAM_ValidationLimit_Info'] = 'Deadline for registration confirmation limited';
 $lang['UAM_ConfirmMail_TimeOut_true'] = ' Enable. Number of days until expiration: ';
 $lang['UAM_ConfirmMail_Remail'] = 'Remind unvalidated users';
-$lang['UAM_ConfirmMail_ReMail_Txt1'] = 'Customizing the reminder message <b><u>with</u></b> new regeneration of key validation.';
-$lang['UAM_ConfirmMail_ReMail_Txt2'] = 'Customizing the reminder message <b><u>without</u></b> regeneration of key validation.';
+$lang['UAM_ConfirmMail_ReMail_Txt1'] = 'Customizing the reminder message <b><u>with</u></b> new regeneration of confirmation key.';
+$lang['UAM_ConfirmMail_ReMail_Txt2'] = 'Customizing the reminder message <b><u>without</u></b> regeneration of confirmation key.';
 
 $lang['UAM_GhostTracker'] = 'Ghost visitors management (Ghost Tracker)';
@@ -136,9 +136,9 @@
 $lang['UAM_LastVisit'] = ' Tracking registered users';
 
-$lang['UAM_Tab_UserManager'] = 'Tracking validations';
+$lang['UAM_Tab_UserManager'] = 'Tracking confirmations';
 
 /* UserManager Tab */
-$lang['UAM_SubTitle3'] = 'Tracking validations';
-$lang['UAM_UserManager_Title'] = 'Tracking validations';
+$lang['UAM_SubTitle3'] = 'Tracking confirmations';
+$lang['UAM_UserManager_Title'] = 'Tracking confirmations';
 /* Ghost Tracker Tab */
 $lang['UAM_SubTitle4'] = 'Ghost Tracker';
@@ -155,6 +155,6 @@
 /* Mailing */
 $lang['UAM_Ghost_reminder_of_%s'] = '%s, this is a reminder email';
-$lang['UAM_Reminder_with_key_of_%s'] = '%s, your validation key has been renewed';
-$lang['UAM_Reminder_without_key_of_%s'] = '%s, your validation key will expire';
+$lang['UAM_Reminder_with_key_of_%s'] = '%s, your confirmation key has been renewed';
+$lang['UAM_Reminder_without_key_of_%s'] = '%s, your confirmation key will expire';
 /* Errors and Warnings */
 $lang['UAM_Err_GhostTracker_Settings'] = 'This page is available only if "Ghost Tracker" is active in "Setting the registrations followed and other options".';
@@ -173,5 +173,5 @@
 $lang['UAM_LastVisit_Date'] = 'Last visit';
 $lang['UAM_Nb_Days'] = 'Difference in days';
-$lang['UAM_Err_UserManager_Settings'] = 'This page is available only if "Confirmation of registration" is active and if a group of visitors not validated is configured in "Setting confirmations and validations of registration".';
+$lang['UAM_Err_UserManager_Settings'] = 'This page is available only if "Confirmation of registration" is active and if a group of visitors not validated is configured in "Setting confirmations of registration".';
 // --------- End: New or revised $lang ---- from version 2.15.0
 
@@ -185,7 +185,7 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.15.4
-$lang['UAM_Force_Validation'] = 'Manual validation';
-$lang['UAM_Confirm_Mail_true'] = ' Enable - Validation by user';
-$lang['UAM_Confirm_Mail_local'] = ' Enable - Validation by admin (no validation key sent)';
+$lang['UAM_Force_Validation'] = 'Manual confirmation';
+$lang['UAM_Confirm_Mail_true'] = ' Enable - Confirmation by user';
+$lang['UAM_Confirm_Mail_local'] = ' Enable - Confirmation by admin (no confirmation key sent)';
 // --------- End: New or revised $lang ---- from version 2.15.4
 
@@ -200,11 +200,11 @@
 $lang['UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Consistency error in the chosen configuration:
 <br><br>
-"Setting the registered users monitoring and other options > Ghost visitors management (Ghost Tracker) > Automatic management of ghosts users > Automatically sending an email when changing group / status" can not be activated if "Setting confirmations and validations of registration > Confirmation of registration - Validation by user" is not enabled at first.
+"Setting the registered users monitoring and other options > Ghost visitors management (Ghost Tracker) > Automatic management of ghosts users > Automatically sending an email when changing group / status" can not be activated if "Setting confirmations of registration > Confirmation of registration - Confirmation by user" is not enabled at first.
 <br><br>
 To ensure consistency, the option "Automatically sending an email when changing group / status" was automatically repositioned "disabled".
 <br><br>';
 $lang['UAM_Demotion of %s'] = 'Demotion of %s';
-$lang['UAM_AdminValidationMail_Text'] = 'Notification of manual registration validation';
-$lang['UAM_Validation of %s'] = 'Validation of %s';
+$lang['UAM_AdminValidationMail_Text'] = 'Notification of manual confirmation of registration';
+$lang['UAM_Validation of %s'] = 'Confirmation of %s';
 // --------- End: New or revised $lang ---- from version 2.16.0
 
@@ -249,5 +249,5 @@
                 <li>Go to tab "Add a new module"</li>
                 <li>Choose "UAM Module"</li>
-                <li>Configure the module, indicating the title (eg "Registration pending validation") and its description, and only check "Waiting" in the list of groups allowed</li>
+                <li>Configure the module, indicating the title (eg "Registration pending confirmation") and its description, and only check "Waiting" in the list of groups allowed</li>
                 <li>Complete content of the module with the message information to be displayed to users not validated. As UAM, languages markup may be used if the plugin is enabled Extended Description</li>
                 <li>Check "Display the module on the homepage of the site"</li>
@@ -260,5 +260,5 @@
           <ul>
             <li>
-            Goals: Inform the visitor that the registration is awaiting validation by posting an additional page replacing the standard index page gallery at each of these connections, and this, as registration is not approved.
+            Goals: Inform the visitor that the registration is awaiting confirmation by posting an additional page replacing the standard index page gallery at each of these connections, and this, as registration is not approved.
             <br><br>
             Advantages over the method with PWG_Stuffs: Allow formatting information and displaying the information immediately upon registration of visitors.
@@ -322,10 +322,10 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.20.11
-$lang['UAM_Error_Using_illegal_flag'] = 'Syntax error ! The [Kdays] AutoText flag is used as the "Deadline for registration validation limited" option was not activated. Please activate the option or correct the text field(s) colored in red.';
+$lang['UAM_Error_Using_illegal_flag'] = 'Syntax error ! The [Kdays] AutoText flag is used as the "Deadline for registration confirmation limited" option was not activated. Please activate the option or correct the text field(s) colored in red.';
 // --------- End: New or revised $lang ---- from version 2.20.11
 
 
 // --------- Starting below: New or revised $lang ---- from version 2.30.0
-$lang['UAM_Confirm_grpstat_notice'] = 'Caution: It is advisable to use either the group or the validation statutes and not both simultaneously. The privacy level can be used in conjunction with a group or status assignment.';
+$lang['UAM_Confirm_grpstat_notice'] = 'Caution: It is advisable to use either the group or the confirmation statutes and not both simultaneously. The privacy level can be used in conjunction with a group or status assignment.';
 $lang['UAM_Confirm_Group'] = 'Groups<br>(leave ------- to not affect group)';
 $lang['UAM_Confirm_Status'] = 'Statutes<br>(leave ------- to keep the Piwigo\'s default)';
@@ -351,5 +351,5 @@
 $lang['UAM %d user pwdreseted'] = 'Password renewal required for %d user';
 $lang['UAM %d users pwdreseted'] = 'Password renewal required for %d users';
-$lang['UAM_Error_Using_illegal_Kdays'] = 'Using the [Kdays] tag is allowed only if the deadline for registration validation limited is active. Refer to the text field in red to correct the problem.';
+$lang['UAM_Error_Using_illegal_Kdays'] = 'Using the [Kdays] tag is allowed only if the deadline for registration confirmation limited is active. Refer to the text field in red to correct the problem.';
 $lang['UAM_Default_InfoMail_Txt'] = 'Hello [username]! Thank you to have register on [mygallery].
 
@@ -376,10 +376,10 @@
 $lang['UAM_Default_CfmMail_Remail_Txt1'] = 'Hello [username].
 		
-This is a reminder message because you registered on our gallery [mygallery] but you do not validate your registration and your validation key has expired. To still allow you to access to our gallery, your validation period has been reset. You have again x days to validate your registration.
+This is a reminder message because you registered on our gallery [mygallery] but you do not validate your registration and your confirmation key has expired. To still allow you to access to our gallery, your confirmation period has been reset. You have again x days to validate your registration.
 
 Note: After this period, your account will be permanently deleted.';
 $lang['UAM_Default_CfmMail_Remail_Txt2'] = 'Hello [username].
 
-This is a reminder message because you registered on our gallery [mygallery] but you do not validate your registration and your validation key will expire. To allow you access to our gallery, you have x days to confirm your registration by clicking on the link in the message you should have received when you registered.
+This is a reminder message because you registered on our gallery [mygallery] but you do not validate your registration and your confirmation key will expire. To allow you access to our gallery, you have x days to confirm your registration by clicking on the link in the message you should have received when you registered.
 
 Note: After this period, your account will be permanently deleted.';
@@ -407,11 +407,16 @@
 $lang['UAM_RedirToProfile'] = 'Redirect to Customization page';
 $lang['UAM_Title1'] = 'Restrictions for registrations';
-$lang['UAM_Title2'] = 'Confirmations and validations of registration';
+$lang['UAM_Title2'] = 'Confirmations of registration';
 $lang['UAM_GTAutoMail'] = 'Automatically sending an email when changing group / status / privacy level';
 $lang['UAM_NewFeature'] = 'New feature !';
 $lang['UAM_RejectConnexion'] = 'Reject user\'s connexion until registration is validated';
 $lang['UAM_RejectConnexion_Custom_Txt'] = 'Customize rejection text';
-$lang['UAM_Default_RejectConnexion_Txt'] = 'Sorry, you don\'t have validate your registration yet, so you can\'t connect the gallery now. Please check your email box. You should find an email sent by the gallery, containing a link to perform your validation. If not, please contact the webmaster.';
+$lang['UAM_Default_RejectConnexion_Txt'] = 'Sorry, you don\'t have validate your registration yet, so you can\'t connect the gallery now. Please check your email box. You should find an email sent by the gallery, containing a link to perform your confirmation. If not, please contact the webmaster.';
 $lang['UAM_Reject_Page_Title'] = 'Connexion not allowed !';
 // --------- End: New or revised $lang ---- from version 2.30.2
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.30.3
+$lang['UAM_MailExclusion_No'] = 'Email domains exclusion - Not available because emails are not mandatory for registrations !';
+// --------- End: New or revised $lang ---- from version 2.30.3
 ?>
Index: extensions/UserAdvManager/trunk/language/fr_FR/help.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/fr_FR/help.lang.php	(revision 12666)
+++ extensions/UserAdvManager/trunk/language/fr_FR/help.lang.php	(revision 12689)
@@ -21,6 +21,6 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.14.0
-$lang['UAM_adminconfmailTitle_d'] = 'On peut ici désactiver la validation des inscriptions uniquement pour les comptes d\'utilisateurs créés par l\'administrateur via l\'interface de gestion des utilisateurs de Piwigo.<br><br>
-En activant cette option, l\'email de validation d\'inscription sera envoyé à chaque utilisateur créé par l\'admin.<br><br>
+$lang['UAM_adminconfmailTitle_d'] = 'On peut ici désactiver la confirmation des inscriptions uniquement pour les comptes d\'utilisateurs créés par l\'administrateur via l\'interface de gestion des utilisateurs de Piwigo.<br><br>
+En activant cette option, l\'email de confirmation d\'inscription sera envoyé à chaque utilisateur créé par l\'admin.<br><br>
 En désactivant cette option (mode par défaut), seul l\'email d\'information est envoyé (si la fonction &quot;Email d\'information &agrave; l\'utilisateur&quot; est activée).';
 // --------- End: New or revised $lang ---- from version 2.14.0
@@ -48,8 +48,8 @@
 Un utilisateur apparaitra en vert s\'il a visité la galerie depuis moins de 50 jours, en orange si sa dernière visite s\'est déroulée entre 50 et 99 jours et en rouge à 100 jours et au-delà.
 <br><br>
-<b>A NOTER</b>: La liste n\'affiche pas les inscrits qui n\'auraient pas validé leur inscription (si l\'option de validation de l\'inscription est activée). Ces utilisateurs sont alors gérés de manière particulière dans l\'onglet &quot;Suivi des validations&quot;.
+<b>A NOTER</b>: La liste n\'affiche pas les inscrits qui n\'auraient pas validé leur inscription (si l\'option de confirmation de l\'inscription est activée). Ces utilisateurs sont alors gérés de manière particulière dans l\'onglet &quot;Suivi des confirmations&quot;.
 <br><br>
 <b>Fonction de tri du tableau</b>: Vous pouvez trier les données affichées en cliquant sur les entêtes de colonnes. L\'utilisation de la touche MAJ ou SHIFT permet de trier sur 1 à 4 colonnes simultanées maximum.';
-$lang['UAM_usermanTitle_d'] = 'Lorsque la limitation du délai d\'inscription est activée, vous trouverez ci-dessous la liste des utilisateurs en attente de validation d\'inscription <b style=&quot;text-decoration: underline;&quot;>qu\'ils soient ou pas</b> dans les délais pour la valider.<br><br>La date d\'enregistrement s\'affiche en vert lorsque l\'utilisateur concerné est en dessous du temps limite pour valider son inscription. Dans ce cas, la clé de validation est toujours valide et on pourra envoyer un email avec ou sans régénération de clé.<br><br>Lorsque la date d\'enregistrement s\'affiche en rouge, le délai de validation est expiré. Dans ce cas, on enverra obligatoirement un email avec régénération de clé si on veut permettre à cet utilisateur de pouvoir valider son inscription.<br><br>Dans tous les cas, il est possible de forcer manuellement la validation.<br><br>Dans cette vue, vous pouvez :
+$lang['UAM_usermanTitle_d'] = 'Lorsque la limitation du délai d\'inscription est activée, vous trouverez ci-dessous la liste des utilisateurs en attente de confirmation d\'inscription <b style=&quot;text-decoration: underline;&quot;>qu\'ils soient ou pas</b> dans les délais pour la valider.<br><br>La date d\'enregistrement s\'affiche en vert lorsque l\'utilisateur concerné est en dessous du temps limite pour valider son inscription. Dans ce cas, la clé de confirmation est toujours valide et on pourra envoyer un email avec ou sans régénération de clé.<br><br>Lorsque la date d\'enregistrement s\'affiche en rouge, le délai de confirmation est expiré. Dans ce cas, on enverra obligatoirement un email avec régénération de clé si on veut permettre à cet utilisateur de pouvoir valider son inscription.<br><br>Dans tous les cas, il est possible de forcer manuellement la confirmation.<br><br>Dans cette vue, vous pouvez :
 <br><br>
 - Supprimer manuellement les comptes <b>(purge manuelle)</b>
@@ -57,7 +57,7 @@
 - Générer l\'email de rappel <b>sans génération</b> d\'une nouvelle clef. Rappel : Cette fonction ne réinitialise pas la date d\'inscription du visiteur ciblé et le délai d\'expiration est toujours d\'actualité.
 <br>
-- Générer l\'email de rappel <b>avec génération</b> d\'une nouvelle clef. Rappel : Cette fonction réinitialise également la date d\'inscription du visiteur ciblé ce qui équivaut à prolonger le délai de validation.
-<br>
-- Valider manuellement une inscription en attente de validation même si la date d\'expiration est révolue <b>(forçage de la validation)</b>.
+- Générer l\'email de rappel <b>avec génération</b> d\'une nouvelle clef. Rappel : Cette fonction réinitialise également la date d\'inscription du visiteur ciblé ce qui équivaut à prolonger le délai de confirmation.
+<br>
+- Valider manuellement une inscription en attente de confirmation même si la date d\'expiration est révolue <b>(forçage de la confirmation)</b>.
 <br><br>
 <b>Fonction de tri du tableau</b>: Vous pouvez trier les données affichées en cliquant sur les entêtes de colonnes. L\'utilisation de la touche MAJ ou SHIFT permet de trier sur 1 à 4 colonnes simultanées maximum.';
@@ -70,9 +70,9 @@
 <b>Fonction de tri du tableau</b>: Vous pouvez trier les données affichées en cliquant sur les entêtes de colonnes. L\'utilisation de la touche MAJ ou SHIFT permet de trier sur 1 à 4 colonnes simultanées maximum.';
 $lang['UAM_confirmmailTitle_d'] = 'Cette option permet soit à un utilisateur de valider son inscription en cliquant sur un lien reçu dans un email envoyé dès son enregistrement sur la galerie, soit à l\'administrateur d\'activer manuellement les inscriptions.<br><br>
-Dans le premier cas, le message envoyé comprend une partie fixe, avec le lien d\'activation généré à partir d\'une clef aléatoire (cette clé peut éventuellement être régénérée via l\'onglet &quot;Suivi des validations&quot;), et une partie personnalisable par un texte d\'accueil.
-<br><br>
-Dans le second cas, <b><u>il n\'y a pas d\'envoi de clé de validation par email</u></b>. Les visiteurs doivent patienter que l\'administrateur valide lui même leur inscription via l\'onglet &quot;Suivi des validations&quot;. Il est conseillé d\'activer la notification des administrateurs lors des inscriptions (voir la configuration des options de Piwigo) et d\'utiliser la fonction &quot;Email d\'information à l\'utilisateur&quot; pour avertir les nouveaux inscrits de la nécessité de patienter avant activation de leur compte.
-<br>
-<b style=&quot;color: red;&quot;>NB: Les options &quot;Limitation du délai de validation d\'inscription&quot; et &quot;Mail de rappel aux inscrits non validés&quot; doivent être désactivées lorsque la validation manuelle est active.</b>
+Dans le premier cas, le message envoyé comprend une partie fixe, avec le lien d\'activation généré à partir d\'une clef aléatoire (cette clé peut éventuellement être régénérée via l\'onglet &quot;Suivi des confirmations&quot;), et une partie personnalisable par un texte d\'accueil.
+<br><br>
+Dans le second cas, <b><u>il n\'y a pas d\'envoi de clé de confirmation par email</u></b>. Les visiteurs doivent patienter que l\'administrateur valide lui même leur inscription via l\'onglet &quot;Suivi des confirmations&quot;. Il est conseillé d\'activer la notification des administrateurs lors des inscriptions (voir la configuration des options de Piwigo) et d\'utiliser la fonction &quot;Email d\'information à l\'utilisateur&quot; pour avertir les nouveaux inscrits de la nécessité de patienter avant activation de leur compte.
+<br>
+<b style=&quot;color: red;&quot;>NB: Les options &quot;Limitation du délai de confirmation d\'inscription&quot; et &quot;Mail de rappel aux inscrits non validés&quot; doivent être désactivées lorsque la confirmation manuelle est active.</b>
 <br><br>
 Cette option est généralement utilisée avec  l\'attribution automatique de groupe et/ou de statut. Selon qu\'il a validé ou non son inscription, il est en effet possible d\'affecter à l\'utilisateur un groupe différent, avec plus ou moins de restrictions d\'accès à la galerie.';
@@ -91,8 +91,4 @@
 - Gestion automatisée : Lorsque le délai entre 2 visites successives est atteint, le visiteur est automatiquement soit supprimé, soit basculé dans un groupe et/ou statut d\'attente. Dans ce deuxième cas, un email d\'information peut lui être envoyé.<br><br><br>
 <b style=&quot;color: red;&quot;>IMPORTANT : A première activation de cette fonction, ou à sa réactivation après une longue période pendant laquelle de nouveaux visiteurs se sont inscrits, il convient d\'initialiser le Ghost Tracker (voir les instructions correspondantes sur l\'onglet &quot;Ghost Tracker&quot;).</b>';
-$lang['UAM_mailexcTitle_d'] = 'Par défaut, Piwigo accepte toutes les adresses de messagerie au format xxx@yyy.zz. L\'activation de cette option permet d\'exclure certains domaines selon le format : @[nom_du_domaine].[extension_du_domaine].<br><br>
-Exemples :<br>
-@hotmail.com -> exclusion des adresses *@hotmail.com<br>
-@hotmail -> exclusion de toutes les adresses *@hotmail*';
 $lang['UAM_GTAutoTitle_d'] = 'Cette option permet d\'appliquer des règles de gestion automatisée des visiteurs fantômes.
 <br><br>Principe de base : Un utilisateur ayant atteind la limite maximale entre deux visites <b><u>et</u></b> ayant déjà été notifié par email est considéré comme expiré. On peut alors appliquer des règles de traitement automatisées telles que la suppression automatique des comptes expirés ou leur rétrogradation en restreignant l\'accès à la galerie (bascule automatique dans un groupe et/ou un statut à accès restreint).
@@ -103,5 +99,5 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.20.0
-$lang['UAM_validationlimitTitle_d'] = 'Cette option permet de limiter le nombre de jours pendant lequel un nouvel utilisateur peut valider son inscription. Une fois ce délai expiré, le lien de validation sera invalide, et ne pourra plus être employé.
+$lang['UAM_validationlimitTitle_d'] = 'Cette option permet de limiter le nombre de jours pendant lequel un nouvel utilisateur peut valider son inscription. Une fois ce délai expiré, le lien de confirmation sera invalide, et ne pourra plus être employé.
 <br><br>
 Cette option n\'est utilisable qu\'une fois l\'option &quot;Confirmation d\'inscription&quot; activée.
@@ -110,14 +106,14 @@
 $lang['UAM_remailTitle_d'] = 'Cette option permet d\'envoyer un email de rappel aux utilisateurs n\'ayant pas validé leur inscription dans les temps. Elle n\'a d\'effet qu\'une fois l\'option &quot;Confirmation d\'inscription&quot; activée.
 <br><br>
-2 types d\'email peuvent être envoyés : Avec ou sans régénération de la clef de validation. En fonction du cas, le contenu  des emails peut être personnalisé.
-<br><br>
-Reportez-vous à l\'onglet &quot;Suivi des validations&quot;.
-<br><br>
-Si cette option et l\'option &quot;Limitation du délai de validation d\'inscription&quot; sont activées, de nouvelles options apparaitront plus bas dans cette section pour permettre l\'automatisation de la gestion des visiteurs non validés.';
+2 types d\'email peuvent être envoyés : Avec ou sans régénération de la clef de confirmation. En fonction du cas, le contenu  des emails peut être personnalisé.
+<br><br>
+Reportez-vous à l\'onglet &quot;Suivi des confirmations&quot;.
+<br><br>
+Si cette option et l\'option &quot;Limitation du délai de confirmation d\'inscription&quot; sont activées, de nouvelles options apparaitront plus bas dans cette section pour permettre l\'automatisation de la gestion des visiteurs non validés.';
 $lang['UAM_USRAutoTitle_d'] = 'La gestion automatique des visiteurs non validés est déclenchée à chaque connexion à la galerie et fonctionne ainsi :
 <br><br>
-- Suppression automatique des comptes non validés dans le temps imparti sans envoi automatique de mail de relance -> &quot;Limitation du délai de validation d\'inscription&quot; <b><u>est actif</u></b> et &quot;Mail de rappel aux inscrits non validés&quot; <b><u>est inactif</u></b>.
-<br><br>
-- Envoi automatique d\'un message de rappel avec génération d\'une nouvelle clé de validation puis suppression automatique des comptes non validés dans le temps imparti après l\'envoi de la relance -> &quot;Limitation du délai de validation d\'inscription&quot; <b><u>est actif</u></b> et &quot;Mail de rappel aux inscrits non validés&quot; <b><u>est actif</u></b>.';
+- Suppression automatique des comptes non validés dans le temps imparti sans envoi automatique de mail de relance -> &quot;Limitation du délai de confirmation d\'inscription&quot; <b><u>est actif</u></b> et &quot;Mail de rappel aux inscrits non validés&quot; <b><u>est inactif</u></b>.
+<br><br>
+- Envoi automatique d\'un message de rappel avec génération d\'une nouvelle clé de confirmation puis suppression automatique des comptes non validés dans le temps imparti après l\'envoi de la relance -> &quot;Limitation du délai de confirmation d\'inscription&quot; <b><u>est actif</u></b> et &quot;Mail de rappel aux inscrits non validés&quot; <b><u>est actif</u></b>.';
 $lang['UAM_USRAutoMailTitle_d'] = 'Lorsque activée, cette fonction enverra automatiquement le contenu personnalisé dans &quot;Message de rappel avec regénération de clé&quot; aux visiteurs répondant au critère.';
 $lang['UAM_StuffsTitle_d'] = 'Ceci permet d\'activer un module supplémentaire UAM dans le plugin PWG Stuffs (si installé) afin d\'informer sur leur état vos visiteurs n\'ayant pas validé leur inscription.
@@ -148,19 +144,19 @@
 - <b style=&quot;color: red;&quot;>[mygallery]</b> pour insérer le titre de votre galerie.<br>
 - <b style=&quot;color: red;&quot;>[myurl]</b> pour insérer l\'URL de votre galerie si renseigné dans les options de configuration de Piwigo.<br>
-- <b style=&quot;color: red;&quot;>[Kdays]</b> pour insérer le nombre de jour de validité de la clé d\'inscription (l\'option &quot;Limitation du délai de validation d\'inscription&quot; doit être activée).
-<br><br>
-Pour une utilisation multi-langues, vous pouvez utiliser les balises [lang] du plugin Extended Description si celui-ci est actif.';
-$lang['UAM_remailtxt1Title_d'] = 'Saisissez ici le texte d\'introduction qui apparaîtra dans l\'email de rappel, accompagné d\'une nouvelle clef de validation.
-<br><br>
-Il est vivement conseillé de saisir un texte explicatif; à défaut, le mail de rappel ne comportera que le lien de validation. (NB : Le texte pré-renseigné à l\'installation du plugin n\'est donné qu\'à titre d\'exemple).
-<br><br>
-Personnalisez encore plus le contenu avec les balises d\'insertion spéciales :<br>
-- <b style=&quot;color: red;&quot;>[username]</b> pour insérer automatiquement le nom de l\'utilisateur destinataire de l\'email.<br>
-- <b style=&quot;color: red;&quot;>[mygallery]</b> pour insérer le titre de votre galerie.<br>
-- <b style=&quot;color: red;&quot;>[myurl]</b> pour insérer l\'URL de votre galerie si renseigné dans les options de configuration de Piwigo.<br>
-- <b style=&quot;color: red;&quot;>[Kdays]</b> pour insérer le nombre de jour de validité de la clé d\'inscription (l\'option &quot;Limitation du délai de validation d\'inscription&quot; doit être activée).
-<br><br>
-Pour une utilisation multi-langues, vous pouvez utiliser les balises [lang] du plugin Extended Description si celui-ci est actif.';
-$lang['UAM_remailtxt2Title_d'] = 'Saisissez ici le texte d\'introduction qui apparaîtra dans l\'email de rappel, sans nouvelle clef de validation.
+- <b style=&quot;color: red;&quot;>[Kdays]</b> pour insérer le nombre de jour de validité de la clé d\'inscription (l\'option &quot;Limitation du délai de confirmation d\'inscription&quot; doit être activée).
+<br><br>
+Pour une utilisation multi-langues, vous pouvez utiliser les balises [lang] du plugin Extended Description si celui-ci est actif.';
+$lang['UAM_remailtxt1Title_d'] = 'Saisissez ici le texte d\'introduction qui apparaîtra dans l\'email de rappel, accompagné d\'une nouvelle clef de confirmation.
+<br><br>
+Il est vivement conseillé de saisir un texte explicatif; à défaut, le mail de rappel ne comportera que le lien de confirmation. (NB : Le texte pré-renseigné à l\'installation du plugin n\'est donné qu\'à titre d\'exemple).
+<br><br>
+Personnalisez encore plus le contenu avec les balises d\'insertion spéciales :<br>
+- <b style=&quot;color: red;&quot;>[username]</b> pour insérer automatiquement le nom de l\'utilisateur destinataire de l\'email.<br>
+- <b style=&quot;color: red;&quot;>[mygallery]</b> pour insérer le titre de votre galerie.<br>
+- <b style=&quot;color: red;&quot;>[myurl]</b> pour insérer l\'URL de votre galerie si renseigné dans les options de configuration de Piwigo.<br>
+- <b style=&quot;color: red;&quot;>[Kdays]</b> pour insérer le nombre de jour de validité de la clé d\'inscription (l\'option &quot;Limitation du délai de confirmation d\'inscription&quot; doit être activée).
+<br><br>
+Pour une utilisation multi-langues, vous pouvez utiliser les balises [lang] du plugin Extended Description si celui-ci est actif.';
+$lang['UAM_remailtxt2Title_d'] = 'Saisissez ici le texte d\'introduction qui apparaîtra dans l\'email de rappel, sans nouvelle clef de confirmation.
 <br><br>
 Il est vivement conseillé de saisir un texte explicatif, afin que l\'email ne soit pas vide. (NB : Le texte pré-renseigné à l\'installation du plugin n\'est donné qu\'à titre d\'exemple).
@@ -170,5 +166,5 @@
 - <b style=&quot;color: red;&quot;>[mygallery]</b> pour insérer le titre de votre galerie.<br>
 - <b style=&quot;color: red;&quot;>[myurl]</b> pour insérer l\'URL de votre galerie si renseigné dans les options de configuration de Piwigo.<br>
-- <b style=&quot;color: red;&quot;>[Kdays]</b> pour insérer le nombre de jour de validité de la clé d\'inscription (l\'option &quot;Limitation du délai de validation d\'inscription&quot; doit être activée).
+- <b style=&quot;color: red;&quot;>[Kdays]</b> pour insérer le nombre de jour de validité de la clé d\'inscription (l\'option &quot;Limitation du délai de confirmation d\'inscription&quot; doit être activée).
 <br><br>
 Pour une utilisation multi-langues, vous pouvez utiliser les balises [lang] du plugin Extended Description si celui-ci est actif.';
@@ -242,5 +238,5 @@
 - Génération d\'email de confirmation d\'inscription<br>
 - Affectation automatique de groupe, de statut ou de niveau de confidentialité<br>
-- Limitation du délai de validation<br>
+- Limitation du délai de confirmation<br>
 - Génération d\'email de rappel<br>
 ...
@@ -248,17 +244,17 @@
 $lang['UAM_confirmgrpTitle'] = 'Groupes';
 $lang['UAM_confirmstatTitle'] = 'Statuts';
-$lang['UAM_confirmgrpTitle_d'] = '<b style=&quot;color: red;&quot;>ATTENTION : L\'utilisation des groupes à la validation nécessite que vous ayez créé au moins un groupe d\'utilisateurs et qu\'il soit défini &quot;par défaut&quot; dans la gestion des groupes d\'utilisateurs de Piwigo.</b><br><br>
-Les groupes à la validation sont à utiliser conjointement avec l\'option &quot;Confirmation d\'inscription&quot;';
-$lang['UAM_confirmstatTitle_d'] = '<b style=&quot;color: red;&quot;>ATTENTION : L\'utilisation des statuts à la validation nécessite que vous ayez conservé l\'utilisateur &quot;Guest&quot; pour le paramétrage par défaut (modèle) pour les nouveaux inscrits. A noter : Vous pouvez définir n\'importe quel autre utilisateur comme modèle pour les nouveaux inscrits. Reportez-vous à la documentation de Piwigo pour plus de détails.</b><br><br>
-Les statuts à la validation sont à utiliser conjointement avec l\'option &quot;Confirmation d\'inscription&quot;';
+$lang['UAM_confirmgrpTitle_d'] = '<b style=&quot;color: red;&quot;>ATTENTION : L\'utilisation des groupes à la confirmation nécessite que vous ayez créé au moins un groupe d\'utilisateurs et qu\'il soit défini &quot;par défaut&quot; dans la gestion des groupes d\'utilisateurs de Piwigo.</b><br><br>
+Les groupes à la confirmation sont à utiliser conjointement avec l\'option &quot;Confirmation d\'inscription&quot;';
+$lang['UAM_confirmstatTitle_d'] = '<b style=&quot;color: red;&quot;>ATTENTION : L\'utilisation des statuts à la confirmation nécessite que vous ayez conservé l\'utilisateur &quot;Guest&quot; pour le paramétrage par défaut (modèle) pour les nouveaux inscrits. A noter : Vous pouvez définir n\'importe quel autre utilisateur comme modèle pour les nouveaux inscrits. Reportez-vous à la documentation de Piwigo pour plus de détails.</b><br><br>
+Les statuts à la confirmation sont à utiliser conjointement avec l\'option &quot;Confirmation d\'inscription&quot;';
 $lang['UAM_confirmlevelTitle'] = 'Niveau de confidentialité';
-$lang['UAM_confirmlevelTitle_d'] = '<b style=&quot;color: red;&quot;>ATTENTION : L\'utilisation des niveaux de confidentialité à la validation nécessite que vous ayez affecté un niveau de confidentialité aux photos que vous voulez restreindre. Reportez vous à la documentation de Piwigo pour plus de détails.</b><br><br>
-Les niveaux de confidentialité à la validation sont à utiliser conjointement avec l\'option &quot;Confirmation d\'inscription&quot;';
-$lang['UAM_GTAutoGpTitle_d'] = 'Le changement automatique de groupe, de statut ou de niveau de confidentialité équivaut à une rétrogradation des comptes concernés et fonctionne sur le même principe que le groupe, le statut ou le niveau de confidentialité à la validation (voir &quot;Paramétrage des confirmations et validations d\'inscriptions&quot;). Il conviendra donc de définir un groupe ou un statut et/ou un niveau de confidentialité rétrogradant l\'accès à la galerie. Si cela a déjà été défini avec l\'utilisation de la fonction Confirmation d\'inscription, on peut utiliser ces mêmes groupes / statuts / niveaux.<br><br>
+$lang['UAM_confirmlevelTitle_d'] = '<b style=&quot;color: red;&quot;>ATTENTION : L\'utilisation des niveaux de confidentialité à la confirmation nécessite que vous ayez affecté un niveau de confidentialité aux photos que vous voulez restreindre. Reportez vous à la documentation de Piwigo pour plus de détails.</b><br><br>
+Les niveaux de confidentialité à la confirmation sont à utiliser conjointement avec l\'option &quot;Confirmation d\'inscription&quot;';
+$lang['UAM_GTAutoGpTitle_d'] = 'Le changement automatique de groupe, de statut ou de niveau de confidentialité équivaut à une rétrogradation des comptes concernés et fonctionne sur le même principe que le groupe, le statut ou le niveau de confidentialité à la confirmation (voir &quot;Paramétrage des confirmations d\'inscriptions&quot;). Il conviendra donc de définir un groupe ou un statut et/ou un niveau de confidentialité rétrogradant l\'accès à la galerie. Si cela a déjà été défini avec l\'utilisation de la fonction Confirmation d\'inscription, on peut utiliser ces mêmes groupes / statuts / niveaux.<br><br>
 <b style=&quot;color: red;&quot;>Point important :</b> Si un utilisateur fantôme n\'a toujours pas donné signe de vie après le délai imparti et malgré la notification automatique par mail (si activée), il est automatiquement supprimé de la base de données.';
 $lang['UAM_GTAutoMailTitle_d'] = 'Lorsqu\'un compte est expiré (changement de groupe, de statut ou de niveau de confidentialité rétrogradant le visiteur), un email d\'information peut être envoyé pour préciser les raisons de ce changement et le moyen de recouvrer l\'accès initial à la galerie.
-<br>Pour ce faire, un lien de revalidation de l\'inscription est joint à l\'email (génération automatique d\'une nouvelle clé de validation).<b style=&quot;color: red;&quot;>Si l\'utilisateur a déjà été notifié, son compte est automatiquement détruit.</b> 
-<br><br>
-Saisissez aussi le texte personnalisé qui expliquera les raisons de la rétrogradation et qui accompagnera le lien de validation. Le texte personnalisé n\'est pas obligatoire mais vivement conseillé. En effet, vos visiteurs inscrits n\'apprécieront que moyennement de recevoir un email ne contenant qu\'un simple lien sans plus d\'explications. ;-)
+<br>Pour ce faire, un lien de reconfirmation de l\'inscription est joint à l\'email (génération automatique d\'une nouvelle clé de confirmation).<b style=&quot;color: red;&quot;>Si l\'utilisateur a déjà été notifié, son compte est automatiquement détruit.</b> 
+<br><br>
+Saisissez aussi le texte personnalisé qui expliquera les raisons de la rétrogradation et qui accompagnera le lien de confirmation. Le texte personnalisé n\'est pas obligatoire mais vivement conseillé. En effet, vos visiteurs inscrits n\'apprécieront que moyennement de recevoir un email ne contenant qu\'un simple lien sans plus d\'explications. ;-)
 <br><br>
 Personnalisez encore plus le contenu avec les balises d\'insertion spéciales :<br>
@@ -300,8 +296,17 @@
 // --------- Starting below: New or revised $lang ---- from version 2.30.2
 $lang['UAM_RejectConnexion_d'] = 'Si activée, les nouveaux inscrits qui n\'ont pas validé leur inscription ne pourront pas se connecter à la galerie. Ils seront redirigés vers une page spéciale pour les informer de cet état.<br><br>
-<b style=&quot;color: red;&quot;>Attention - Cette option fonctionne uniquement avec les groupes de validation ! Référez-vous ci-dessous pour affecter les paramètres de groupes requis.</b>';
+<b style=&quot;color: red;&quot;>Attention - Cette option fonctionne uniquement avec les groupes de confirmation ! Référez-vous ci-dessous pour affecter les paramètres de groupes requis.</b>';
 $lang['UAM_RejectConnexion_Custom_Txt_d'] = 'Personnalisez ici votre message d\'explication informant les utilisateurs non validés qu\'ils ne pourront pas se connecter à la galerie tant qu\'ils n\'auront pas validé leur inscription.
 <br><br>
 Ce champ est compatible avec l\'extension FCK Editor et, pour une utilisation multi-langues, vous pouvez utiliser les balises [lang] du plugin Extended Description si celui-ci est actif.';
 // --------- End: New or revised $lang ---- from version 2.30.2
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.30.3
+$lang['UAM_mailexcTitle_d'] = 'Par défaut, Piwigo accepte toutes les adresses de messagerie au format xxx@yyy.zz. L\'activation de cette option permet d\'exclure certains domaines selon le format : @[nom_du_domaine].[extension_du_domaine].<br><br>
+Exemples :<br>
+@hotmail.com -> exclusion des adresses *@hotmail.com<br>
+@hotmail -> exclusion de toutes les adresses *@hotmail*<br><br>
+<b style=&quot;color: red;&quot;>Attention ! Cette fonction n\'est accessible que si les emails sont obligatoires pour les inscriptions ! Reportez-vous aux options de configuration de Piwigo.';
+// --------- End: New or revised $lang ---- from version 2.30.3
 ?>
Index: extensions/UserAdvManager/trunk/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 12666)
+++ extensions/UserAdvManager/trunk/language/fr_FR/plugin.lang.php	(revision 12689)
@@ -31,8 +31,8 @@
 $lang['UAM_empty_pwd'] = '[mot de passe vide]';
 $lang['UAM_no_update_pwd'] = '[mise à jour du profil sans changement du mot de passe]';
-$lang['UAM_No_validation_for_Guest'] = 'Le compte Guest n\'est pas soumis à validation';
-$lang['UAM_No_validation_for_default_user'] = 'Le compte par défaut n\'est pas soumis à validation';
-$lang['UAM_No_validation_for_Webmaster'] = 'Le compte du Webmaster n\'est pas soumis à validation';
-$lang['UAM_No_validation_for_your_account'] = 'Votre compte d\'admin n\'est pas soumis à validation';
+$lang['UAM_No_validation_for_Guest'] = 'Le compte Guest n\'est pas soumis à confirmation';
+$lang['UAM_No_validation_for_default_user'] = 'Le compte par défaut n\'est pas soumis à confirmation';
+$lang['UAM_No_validation_for_Webmaster'] = 'Le compte du Webmaster n\'est pas soumis à confirmation';
+$lang['UAM_No_validation_for_your_account'] = 'Votre compte d\'admin n\'est pas soumis à confirmation';
 
 
@@ -106,5 +106,5 @@
 $lang['UAM_Tab_Global'] = 'Configuration';
 $lang['UAM_Title1'] = 'Paramétrage des restrictions d\'inscriptions';
-$lang['UAM_Title2'] = 'Paramétrage des confirmations et validations d\'inscriptions';
+$lang['UAM_Title2'] = 'Paramétrage des confirmations d\'inscriptions';
 $lang['UAM_Title4'] = 'Astuces et exemples d\'utilisation';
 $lang['UAM_No_Casse'] = 'Noms d\'utilisateurs : Sensibilité à la casse';
@@ -128,9 +128,9 @@
 $lang['UAM_No_Confirm_Status'] = 'Pour les utilisateurs n\'ayant pas validé leur inscription<br>';
 $lang['UAM_Validated_Status'] = 'Pour les utilisateurs ayant validé leur inscription.<br>';
-$lang['UAM_ValidationLimit_Info'] = 'Limitation du délai de validation d\'inscription';
+$lang['UAM_ValidationLimit_Info'] = 'Limitation du délai de confirmation d\'inscription';
 $lang['UAM_ConfirmMail_TimeOut_true'] = ' Activer. Nombre de jours de délai: ';
 $lang['UAM_ConfirmMail_Remail'] = 'Mail de rappel aux inscrits non validés';
-$lang['UAM_ConfirmMail_ReMail_Txt1'] = 'Texte du message de rappel <b><u>avec</u></b> génération d\'une nouvelle clé de validation.';
-$lang['UAM_ConfirmMail_ReMail_Txt2'] = 'Texte du message de rappel <b><u>sans</u></b> génération d\'une nouvelle clé de validation.';
+$lang['UAM_ConfirmMail_ReMail_Txt1'] = 'Texte du message de rappel <b><u>avec</u></b> génération d\'une nouvelle clé de confirmation.';
+$lang['UAM_ConfirmMail_ReMail_Txt2'] = 'Texte du message de rappel <b><u>sans</u></b> génération d\'une nouvelle clé de confirmation.';
 
 $lang['UAM_GhostTracker'] = 'Gestion des visiteurs fantômes (Ghost Tracker)';
@@ -139,9 +139,9 @@
 $lang['UAM_LastVisit'] = ' Suivi des utilisateurs inscrits';
 
-$lang['UAM_Tab_UserManager'] = 'Suivi des validations';
+$lang['UAM_Tab_UserManager'] = 'Suivi des confirmations';
 
 /* UserManager Tab */
-$lang['UAM_SubTitle3'] = 'Suivi des validations';
-$lang['UAM_UserManager_Title'] = 'Suivi des validations';
+$lang['UAM_SubTitle3'] = 'Suivi des confirmations';
+$lang['UAM_UserManager_Title'] = 'Suivi des confirmations';
 /* Ghost Tracker Tab */
 $lang['UAM_SubTitle4'] = 'Ghost Tracker';
@@ -156,6 +156,6 @@
 /* Mailing */
 $lang['UAM_Ghost_reminder_of_%s'] = '%s, ceci est un email de rappel.';
-$lang['UAM_Reminder_with_key_of_%s'] = '%s, votre clef de validation a expiré';
-$lang['UAM_Reminder_without_key_of_%s'] = '%s, votre clef de validation va expirer';
+$lang['UAM_Reminder_with_key_of_%s'] = '%s, votre clef de confirmation a expiré';
+$lang['UAM_Reminder_without_key_of_%s'] = '%s, votre clef de confirmation va expirer';
 /* Errors and Warnings */
 $lang['UAM_Err_GhostTracker_Settings'] = 'Cette page n\'est accessible que si "Gestion des visiteurs fantômes" est actif dans "Paramétrage des suivis des inscrits et autres options".';
@@ -165,5 +165,5 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.14.0
-$lang['UAM_AdminConfMail'] = 'Validation d\'inscription pour les admins';
+$lang['UAM_AdminConfMail'] = 'Confirmation d\'inscription pour les admins';
 // --------- End: New or revised $lang ---- from version 2.14.0
 
@@ -174,5 +174,5 @@
 $lang['UAM_LastVisit_Date'] = 'Dernière visite le';
 $lang['UAM_Nb_Days'] = 'Ecart en jours';
-$lang['UAM_Err_UserManager_Settings'] = 'Cette page n\'est accessible que si "Confirmation d\'inscription" est actif et si un groupe de visiteurs non validés est configuré dans le "Paramétrage des confirmations et validations d\'inscriptions".';
+$lang['UAM_Err_UserManager_Settings'] = 'Cette page n\'est accessible que si "Confirmation d\'inscription" est actif et si un groupe de visiteurs non validés est configuré dans le "Paramétrage des confirmations d\'inscriptions".';
 // --------- End: New or revised $lang ---- from version 2.15.0
 
@@ -187,7 +187,7 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.15.4
-$lang['UAM_Force_Validation'] = 'Validation manuelle';
-$lang['UAM_Confirm_Mail_true'] = ' Activer - Validation par le visiteur';
-$lang['UAM_Confirm_Mail_local'] = ' Activer - Validation par l\'administrateur (pas d\'envoi de clé de validation)';
+$lang['UAM_Force_Validation'] = 'Confirmation manuelle';
+$lang['UAM_Confirm_Mail_true'] = ' Activer - Confirmation par le visiteur';
+$lang['UAM_Confirm_Mail_local'] = ' Activer - Confirmation par l\'administrateur (pas d\'envoi de clé de confirmation)';
 // --------- End: New or revised $lang ---- from version 2.15.4
 
@@ -202,11 +202,11 @@
 $lang['UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Erreur de cohérence dans la configuration choisie :
 <br><br>
-"Paramétrage des suivis des inscrits et autres options > Gestion des visiteurs fantômes (Ghost Tracker) > Gestion automatique des utilisateurs fantomes > Email automatique sur changement de groupe / statut" ne peut pas être activé si "Paramétrage des confirmations et validations d\'inscriptions > Confirmation d\'inscription - Validation par le visiteur" n\'est pas activé au préalable.
+"Paramétrage des suivis des inscrits et autres options > Gestion des visiteurs fantômes (Ghost Tracker) > Gestion automatique des utilisateurs fantomes > Email automatique sur changement de groupe / statut" ne peut pas être activé si "Paramétrage des confirmations d\'inscriptions > Confirmation d\'inscription - Confirmation par le visiteur" n\'est pas activé au préalable.
 <br><br>
 Pour garantir la cohérence, l\'option "Email automatique sur changement de groupe / statut" a été automatiquement repositionnée en "désactivé".
 <br><br>';
 $lang['UAM_Demotion of %s'] = 'Rétrogradation de %s';
-$lang['UAM_AdminValidationMail_Text'] = 'Notification de validation d\'inscription manuelle';
-$lang['UAM_Validation of %s'] = 'Validation de %s';
+$lang['UAM_AdminValidationMail_Text'] = 'Notification de confirmation d\'inscription manuelle';
+$lang['UAM_Validation of %s'] = 'Confirmation de %s';
 // --------- End: New or revised $lang ---- from version 2.16.0
 
@@ -219,9 +219,9 @@
 $lang['UAM_Disable'] = ' Désactiver (valeur par défaut)';
 $lang['UAM_Enable'] = ' Activer ';
-$lang['UAM_Tips1'] = 'Information de non validation d\'inscription avec UAM et PWG_Stuffs';
+$lang['UAM_Tips1'] = 'Information de non confirmation d\'inscription avec UAM et PWG_Stuffs';
 $lang['UAM_Tips1_txt'] = '
           <ul>
             <li>
-            Objectifs : Informer le visiteur que son inscription est en attente de validation en affichant un bloc personnel sur la page d\'accueil de la galerie; et ce, tant que l\'inscription n\'est pas validée.<br><br>
+            Objectifs : Informer le visiteur que son inscription est en attente de confirmation en affichant un bloc personnel sur la page d\'accueil de la galerie; et ce, tant que l\'inscription n\'est pas validée.<br><br>
             <b>Rappel: En fonctionnement standard, le "Guest" ne voit que les catégories publiques, sans message d\'information.</b>
             </li><br><br>
@@ -250,5 +250,5 @@
                 <li>Aller dans l\'onglet "Ajouter un nouveau bloc"</li>
                 <li> Sélectionner "Module UAM"</li>
-                <li>Configurer le module, en indiquant son titre (ex : "Inscription en attente de validation") et sa description, et cocher uniquement "Attente" dans la liste des groupes autorisés</li>
+                <li>Configurer le module, en indiquant son titre (ex : "Inscription en attente de confirmation") et sa description, et cocher uniquement "Attente" dans la liste des groupes autorisés</li>
                 <li>Compléter le contenu du module avec le texte du message d\'information qui sera affiché aux utilisateurs non validés. Comme dans UAM, les balises de langues peuvent être utilisées si le plugin Extended Description est activé</li>
                 <li>Cocher "Afficher le module sur la page d\'accueil du site"</li>
@@ -257,9 +257,9 @@
             </li>
           </ul>';
-$lang['UAM_Tips2'] = 'Information de non validation d\'inscription avec UAM et Additional Pages';
+$lang['UAM_Tips2'] = 'Information de non confirmation d\'inscription avec UAM et Additional Pages';
 $lang['UAM_Tips2_txt'] = '
           <ul>
             <li>
-            Objectifs : Informer le visiteur que son inscription est en attente de validation en affichant une page additionnelle remplaçant la page d\'index standard de la galerie à chacune de ces connexions; et ce, tant que l\'inscription n\'est pas validée.
+            Objectifs : Informer le visiteur que son inscription est en attente de confirmation en affichant une page additionnelle remplaçant la page d\'index standard de la galerie à chacune de ces connexions; et ce, tant que l\'inscription n\'est pas validée.
             <br><br>
             Avantages par rapport à la méthode avec PWG_Stuffs : Permettre une information mise en forme et moins austère et afficher immédiatement l\'information dès l\'inscription des visiteurs.
@@ -302,5 +302,5 @@
 $lang['UAM_No_Ghosts'] = 'Pas de visiteurs fantômes pour l\'instant';
 $lang['UAM_No_Userlist'] = 'Pas de suivi de visiteurs pour l\'instant';
-$lang['UAM_No_Usermanager'] = 'Pas de validations d\'inscription pour l\'instant';
+$lang['UAM_No_Usermanager'] = 'Pas de confirmations d\'inscription pour l\'instant';
 $lang['UAM_Stuffs_Title'] = 'Module UAM';
 $lang['UAM_Stuffs_Desc'] = 'Ajoute un module d\'information des utilisateurs non validés';
@@ -322,5 +322,5 @@
 
 // --------- Starting below: New or revised $lang ---- from version 2.20.11
-$lang['UAM_Error_Using_illegal_flag'] = 'Erreur de syntaxe ! Le drapeau d\'insertion automatique [Kdays] est utilisé alors que l\'option "Limitation du délai de validation d\'inscription" n\'a pas été activée. Veuillez activer l\'option ou corriger le(s) champ(s) marqué(s) en rouge.';
+$lang['UAM_Error_Using_illegal_flag'] = 'Erreur de syntaxe ! Le drapeau d\'insertion automatique [Kdays] est utilisé alors que l\'option "Limitation du délai de confirmation d\'inscription" n\'a pas été activée. Veuillez activer l\'option ou corriger le(s) champ(s) marqué(s) en rouge.';
 // --------- End: New or revised $lang ---- from version 2.20.11
 
@@ -350,5 +350,5 @@
 $lang['UAM %d user pwdreseted'] = 'Renouvellement de mot de passe demandé pour %d utilisateur';
 $lang['UAM %d users pwdreseted'] = 'Renouvellement de mot de passe demandé pour %d utilisateurs';
-$lang['UAM_Error_Using_illegal_Kdays'] = 'L\'utilisation de la balise [Kdays] n\'est autorisée que si la limitation du délai de validation d\'inscription est active. Reportez vous au champ de texte en rouge pour corriger le problème.';
+$lang['UAM_Error_Using_illegal_Kdays'] = 'L\'utilisation de la balise [Kdays] n\'est autorisée que si la limitation du délai de confirmation d\'inscription est active. Reportez vous au champ de texte en rouge pour corriger le problème.';
 $lang['UAM_Default_InfoMail_Txt'] = 'Bonjour [username] et merci de vous être inscrit sur la galerie [mygallery].
 
@@ -375,12 +375,12 @@
 $lang['UAM_Default_CfmMail_Remail_Txt1'] = 'Bonjour [username].
 		
-Ceci est un message de rappel car vous n\'avez pas validé votre inscription sur [mygallery] et votre clé de validation a expiré. Pour vous permettre d\'accéder à notre galerie, votre période de validation a été réinitialisée. Vous avez donc un nouveau délai de x jours pour valider votre inscription.
-
-Note: A l\'issue de cette période sans validation, votre compte sera définitivement supprimé.';
+Ceci est un message de rappel car vous n\'avez pas validé votre inscription sur [mygallery] et votre clé de confirmation a expiré. Pour vous permettre d\'accéder à notre galerie, votre période de confirmation a été réinitialisée. Vous avez donc un nouveau délai de x jours pour valider votre inscription.
+
+Note: A l\'issue de cette période sans confirmation, votre compte sera définitivement supprimé.';
 $lang['UAM_Default_CfmMail_Remail_Txt2'] = 'Bonjour [username].
 
 Ceci est un message de rappel car vous vous êtes inscrit sur notre galerie [mygallery] mais vous n\'avez pas encore validé cette inscription et le délai va bientôt expirer. Un délai supplémentaire de x jours vous est accordé. Veuillez cliquer sur le lien de confirmation que vous avez reçu lors de votre inscription.
 
-Note: A l\'issue de cette période sans validation, votre compte sera définitivement supprimé.';
+Note: A l\'issue de cette période sans confirmation, votre compte sera définitivement supprimé.';
 $lang['UAM_Default_CfmMail_Custom_Txt1'] = 'Bienvenue [username]! Vous avez confirmé que vous étiez bien un humain et non une machine. Vous pouvez maintenant profiter pleinement de [mygallery]!';
 $lang['UAM_Default_CfmMail_Custom_Txt2'] = 'Votre clé d\'activation est incorrecte ou expirée ou vous avez déjà validé votre inscription. Merci de contacter le webmestre de la galerie pour résoudre le problème.';
@@ -413,3 +413,8 @@
 $lang['UAM_Reject_Page_Title'] = 'Connexion refusée !';
 // --------- End: New or revised $lang ---- from version 2.30.2
+
+
+// --------- Starting below: New or revised $lang ---- from version 2.30.3
+$lang['UAM_MailExclusion_No'] = 'Exclusion des domaines de messagerie - Inaccessible car les emails ne sont pas obligatoires pour les inscriptions !';
+// --------- End: New or revised $lang ---- from version 2.30.3
 ?>
